[![Actions Status](https://github.com/code-quality-resources/stylelint-styled-components-react-native-config/workflows/CI/badge.svg)](https://github.com/code-quality-resources/stylelint-styled-components-react-native-config/actions?query=workflow%3A%22CI%22)

# StyleLint Styled Components Config React Native

[**stylelint**](https://github.com/stylelint/stylelint) modern linter that helps you avoid errors and enforce conventions in your styles for [react native](https://github.com/facebook/react-native) applications.

## Install

```sh
yarn add stylelint @code-quality/stylelint-styled-components-react-native-config -D
```

## Usage

The shareable config can be configured in the [**stylelint** configuration file](https://github.com/stylelint/stylelint/blob/master/docs/user-guide/configuration.md):

Create a _.stylelintrc.js_ file with the following contents:

```js
module.exports = {
  extends: [
    '@code-quality/stylelint-styled-components-react-native-config',
  ],
}
```
